# Stripe Import

Provides a set of API functions to import Stripe Customers / Subscriptions / Charges.

These can be used in scripts, manually or as a scheduled job.

The extension is licensed under [AGPL-3.0](LICENSE.txt).

## Installation

Learn more about installing CiviCRM extensions in the [CiviCRM Sysadmin Guide](https://docs.civicrm.org/sysadmin/en/latest/customize/extensions/).

### To disable membership updates make sure you have applied:

https://github.com/civicrm/civicrm-core/pull/30085


## Known Issues

### Subscription import for memberships renews the membership.

This is because Payment.create triggers a "Contribution Completion"
which in turn triggers a membership renewal.

Workaround: https://github.com/civicrm/civicrm-core/pull/30085

But we'll need a way to conditionally enable/disable this as in "normal" operation
we *should* renew the membership. But for initial import we don't want to.
