<?php
/*
 +--------------------------------------------------------------------+
 | Copyright CiviCRM LLC. All rights reserved.                        |
 |                                                                    |
 | This work is published under the GNU AGPLv3 license with some      |
 | permitted exceptions and without any warranty. For full license    |
 | and copyright information, see https://civicrm.org/licensing       |
 +--------------------------------------------------------------------+
 */

use CRM_Stripe_ExtensionUtil as E;

/**
 * Stripe.Importallcharges
 *
 * @param array $spec description of fields supported by this API call
 */
function _civicrm_api3_stripe_importallcharges_spec(&$spec) {
  _civicrm_api3_stripe_importcharge_shared_spec($spec);
}

/**
 * Stripe.Importallcharges API
 *
 * @param array $params
 *
 * @return array
 * @throws \CRM_Core_Exception
 */
function civicrm_api3_stripe_importallcharges($params) {
  $importer = new \Civi\StripeImport\Charge();
  $importer->setPaymentProcessorID($params['ppid']);
  $importer->setFinancialTypeID($params['financial_type_id']);
  $importer->setPaymentInstrumentID($params['payment_instrument_id']);
  $return = $importer->importAll();
  return civicrm_api3_create_success($return, $params, 'Stripe', 'Importallcharges');
}
