<?php
/*
 +--------------------------------------------------------------------+
 | Copyright CiviCRM LLC. All rights reserved.                        |
 |                                                                    |
 | This work is published under the GNU AGPLv3 license with some      |
 | permitted exceptions and without any warranty. For full license    |
 | and copyright information, see https://civicrm.org/licensing       |
 +--------------------------------------------------------------------+
 */

use CRM_Stripe_ExtensionUtil as E;

/**
 * Stripe.Importallcustomers
 *
 * @param array $spec description of fields supported by this API call
 */
function _civicrm_api3_stripe_importallcustomers_spec(&$spec) {
  _civicrm_api3_stripe_importcustomer_shared_spec($spec);
}

/**
 * Stripe.Importallcustomers API
 *
 * @param array $params
 *
 * @return array
 * @throws \CiviCRM_API3_Exception
 */
function civicrm_api3_stripe_importallcustomers($params) {
  $importer = new \Civi\StripeImport\Customer();
  $importer->setPaymentProcessorID($params['ppid']);
  $importer->setCreateMissingContact($params['create_missing_contact']);
  $return = $importer->importAll();
  return civicrm_api3_create_success($return);
}
