<?php
/*
 +--------------------------------------------------------------------+
 | Copyright CiviCRM LLC. All rights reserved.                        |
 |                                                                    |
 | This work is published under the GNU AGPLv3 license with some      |
 | permitted exceptions and without any warranty. For full license    |
 | and copyright information, see https://civicrm.org/licensing       |
 +--------------------------------------------------------------------+
 */

use CRM_Stripe_ExtensionUtil as E;

/**
 * Stripe.Importallsubscriptions
 *
 * @param array $spec description of fields supported by this API call
 */
function _civicrm_api3_stripe_importallsubscriptions_spec(&$spec) {
  _civicrm_api3_stripe_importsubscription_shared_spec($spec);
}

/**
 * Stripe.Importallsubscriptions API
 *
 * @param array $params
 *
 * @return array
 * @throws \CRM_Core_Exception
 */
function civicrm_api3_stripe_importallsubscriptions($params) {
  $importer = new \Civi\StripeImport\Subscription();
  $importer->setPaymentProcessorID($params['ppid']);
  $importer->setEmailReceipt($params['is_email_receipt']);
  $importer->setFinancialTypeID($params['financial_type_id']);
  $importer->setPaymentInstrumentID($params['payment_instrument_id']);
  $importer->setMembershipAuto($params['membership_auto']);
  $importer->setMembershipDisableUpdates($params['membership_disableupdate']);
  if (!empty($params['subscription_exclude_statuses'])) {
    $importer->setSubscriptionExcludeStatuses($params['subscription_exclude_statuses']);
  }
  $return = $importer->importAll();
  return civicrm_api3_create_success($return, $params, 'Stripe', 'Importallsubscriptions');
}
