# Stripe Import

Provides a set of API functions to import Stripe Customers / Subscriptions / Charges.

These can be used in scripts, manually or as a scheduled job.

The extension is licensed under [AGPL-3.0](LICENSE.txt).

## Installation

Learn more about installing CiviCRM extensions in the [CiviCRM Sysadmin Guide](https://docs.civicrm.org/sysadmin/en/latest/customize/extensions/).

### You must use the "master" branch of the Stripe extension (which will be 6.11 release):
https://lab.civicrm.org/extensions/stripe/-/tree/master

### To disable membership updates make sure you have applied:

https://github.com/civicrm/civicrm-core/pull/30085

## Getting Started



## Known Issues

### Subscription import for memberships renews the membership.

This is because Payment.create triggers a "Contribution Completion"
which in turn triggers a membership renewal.

Workaround: https://github.com/civicrm/civicrm-core/pull/28607

But we'll need a way to conditionally enable/disable this as in "normal" operation
we *should* renew the membership. But for initial import we don't want to.

## Customisation

You can listen to the following events to customise the import process:

### civi.stripeimport.startimport
*Currently only implemented for subscription import*

This event is dispatched at the start of each import.

It can be used to setup or change things before processing import.
For example, you could remove the default listener for `civi.stripeimport.membershipauto` in order to modify the default processing.

### civi.stripeimport.membershipauto
*Currently only implemented for subscription import*

This event is dispatched if membershipauto is selected as an input parameter and no membership ID is specified.

A default listener is implemented in `\Civi\StripeImport\MembershipSubscriber` which will
select the membership linked to the recur if available or the latest current membership by ID.
