## Information

Releases use the following numbering system:
**{major}.{minor}.{incremental}**

* major: Major refactoring or rewrite - make sure you read and test very carefully!
* minor: Breaking change in some circumstances, or a new feature. Read carefully and make sure you understand the impact of the change.
* incremental: A "safe" change / improvement. Should *always* be safe to upgrade.

* **[BC]**: Items marked with [BC] indicate a breaking change that will require updates to your code if you are using that code in your extension.

## Release 1.1.0 (2025-04-04)

#### Charge Importer
* Add setting to control whether receipt is sent for charge importer.

#### Subscription Importer
* Update recur status on subscription import if they don't match.
* Allow excluding certain stripe subscription statuses from import.
* In certain situations we can end up with no template contribution. Handle this scenario and let the subscription fully import.
* Pass stripe subscription to membershipauto event.

## Release 1.0.2 (2024-10-13)

* Fix name being set to '- -' if name set at Stripe does not have a space in it.

## Release 1.0.1 (2024-09-30)

* Fix missing function when triggering webhookEventNotMatched
* Add setting to allow charge importer to import subscription charges
* Fix PHP notice
* Use getValueFromStripeObject to get amount/currency for Charge Importer (allows it to work with recording in payout amount/currency
* Change label on Jobs

## Release 1.0.0 (2024-07-22)

Initial release.
